using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication3
{
    class Program
    {
        static void Main(string[] args)
        {

            Int64 N = int.Parse(Console.ReadLine());

            Frilencer[] f = new Frilencer[N];
           

                      for (int i = 0; i < N; i++)
                      {
                          string[] tokens = Console.ReadLine().Split();
                         Int64 a = Int64.Parse(tokens[0]);
                          double b = double.Parse(tokens[1]);
                          f[i] = new Frilencer(a, b);
                             
                      }

                        ///sortiranje
                        ///
                        for (Int64 i = 0; i < N - 1; i++)
                        {

                            for (Int64 j = i + 1; j <N; j++)
                            {
                                if (f[j].procenat > f[i].procenat)
                                {
                                    
                                    //Zamena
                                    Frilencer pom = f[i];
                                    f[i] = f[j];
                                    f[j]= pom;

                                    
                                }
                            }
                        }
                       

                        double max = 0;

                        for (Int64 i = 0; i < N; i++)
                        {
                            double sum = 0;
                            for (Int64 j = 0; j <= i; j++)
                            {
                                sum = sum + f[j].zarada*(f[i].procenat/100);
                            }
                            if (sum > max)
                            {
                                max = sum;
                            }
                        }
                        Console.Write(max.ToString());
                     
            
        }
    }
    public class Frilencer
    {
        public Int64 zarada;
        public double procenat;

        public Frilencer(Int64 z, double p)
        {
            this.zarada = z;
            this.procenat = p;
        }


    }
}